use `qc`;

INSERT INTO `qc`.`sys_dictionary_info` ( `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`, `group_type`, `name`, `val`, `return_type`, `order_no`, `remark`) VALUES ('N', '1970-01-01 12:00:00', '1970-01-01 12:00:00', '0', '0', '2', 'gmtCreate', '创建时间', '2', '0', '病案首页');

DROP TABLE IF EXISTS `qc_cases_relevance_entry`;
CREATE TABLE `qc_cases_relevance_entry` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `type` tinyint(4) DEFAULT '1' COMMENT '指标编号',
  `hospital_id` bigint(20) DEFAULT NULL COMMENT '医院ID',
  `cases_name` varchar(255) DEFAULT NULL COMMENT '指标名称',
  `relevance_id` bigint(20) DEFAULT NULL COMMENT '关联质控条目',
  `name` varchar(255) DEFAULT NULL COMMENT '条目',
  `is_deleted` varchar(255) DEFAULT 'N',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=utf8 COMMENT='质控关联条目表';

-- ----------------------------
-- Records of qc_cases_relevance_entry
-- ----------------------------
INSERT INTO `qc_cases_relevance_entry` VALUES ('1', '4', '4', '入院记录24小时内完成率', '2658', '入院记录未在患者入院24小时内完成', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('2', '5', '4', '手术记录24小时内完成率', '2170', '手术记录未在术后24h内完成', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('3', '6', '4', '出院记录24小时完成率', '2635', '出院记录未在患者入院24小时内完成', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('4', '7', '4', '病案首页24小时完成率', '3110', '病案首页未在患者出院24小时内完成', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('5', '8', '4', 'CT检查记录24小时内完成率', '3114', '医嘱存在CT,报告单未记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('6', '9', '4', 'MR检查记录24小时完成率', '3112', '医嘱存在MR,报告单未记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('7', '8', '4', 'CT检查记录24小时内完成率', '3115', '医嘱存在CT,病历记录未记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('8', '9', '4', 'MR检查记录24小时完成率', '3113', '医嘱存在MR,病历记录未记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('9', '10', '4', '病理检查完成率', '3116', '病理检查缺少病理检查报告单', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('10', '10', '4', '病理检查完成率', '3111', '手术病理检查存在手术记录中无病理相关记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('11', '10', '4', '病理检查完成率', '3117', '病理检查存在病程记录中无病理报告结果', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('12', '11', '4', '测试', '2528', '测试1111', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('13', '11', '4', '测试2', '2370', '测试2222', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('14', '11', '4', '测试3', '2522', '测试3333', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('15', '11', '4', '测试4', '2555', '测试4444', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('16', '11', '4', '测试5', '2560', '测试5555', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('17', '11', '4', '测试6', '2604', '测试6666', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('18', '17', '4', '医师查房记录完成率', '2655', '每周无2次副主任医师/主任医师查房记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('19', '17', '4', '医师查房记录完成率', '2654', '每周无3次主治医师查房记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('20', '17', '4', '医师查房记录完成率', '2468', '缺少术后首次病程记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('21', '14', '4', '手术相关记录完整率', '3107', '手术记录次数与手术次数不一致', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('22', '14', '4', '手术相关记录完整率', '2439', '手术记录中术前诊断未填写', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('23', '14', '4', '手术相关记录完整率', '2438', '手术记录中术(中)后诊断未填写', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('24', '14', '4', '手术相关记录完整率', '2437', '手术记录中手术经过未填写', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('25', '14', '4', '手术相关记录完整率', '2429', '手术患者缺麻醉记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('26', '14', '4', '手术相关记录完整率', '2480', '缺手术安全核查表', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('27', '14', '4', '手术相关记录完整率', '2478', '手术安全核查表填写时间不正确', 'Y');
INSERT INTO `qc_cases_relevance_entry` VALUES ('28', '14', '4', '手术相关记录完整率', '2479', '手术安全核查表内容不完整', 'Y');
INSERT INTO `qc_cases_relevance_entry` VALUES ('29', '14', '4', '手术相关记录完整率', '2467', '手术患者缺术前讨论或术前小结', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('30', '14', '4', '手术相关记录完整率', '2463', '术前讨论记录无术前准备内容', 'Y');
INSERT INTO `qc_cases_relevance_entry` VALUES ('31', '14', '4', '手术相关记录完整率', '2461', '术前讨论术中、术后注意事项未填写', 'Y');
INSERT INTO `qc_cases_relevance_entry` VALUES ('32', '14', '4', '手术相关记录完整率', '2466', '术前讨论记录无手术指征', 'Y');
INSERT INTO `qc_cases_relevance_entry` VALUES ('33', '16', '4', '临床用血相关记录符合率', '2247', '输血记录血型未填写', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('34', '16', '4', '临床用血相关记录符合率', '2245', '输血记录Rh血型未填写', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('35', '16', '4', '临床用血相关记录符合率', '2243', '输血记录输注前评估未填写', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('36', '16', '4', '临床用血相关记录符合率', '2248', '输血记录输血记录时间未填写', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('37', '16', '4', '临床用血相关记录符合率', '2249', '输血记录输血记录者未签名', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('38', '16', '4', '临床用血相关记录符合率', '2250', '输血记录输血结束时间填写不规范', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('39', '16', '4', '临床用血相关记录符合率', '2251', '输血记录输血结束时间未填写', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('40', '16', '4', '临床用血相关记录符合率', '2252', '输血记录开始输血时间填写不规范', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('41', '16', '4', '临床用血相关记录符合率', '2253', '输血记录开始输血时间未填写', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('42', '16', '4', '临床用血相关记录符合率', '2483', '输血记录中未记录有无不良反应', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('43', '16', '4', '临床用血相关记录符合率', '2484', '输血记录中无血液制品种类及量', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('44', '16', '4', '临床用血相关记录符合率', '2485', '输血记录中无输血指征', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('45', '16', '4', '临床用血相关记录符合率', '2486', '输血记录未在输注结束后24小时内完成', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('46', '16', '4', '临床用血相关记录符合率', '2491', '输血指征不严格', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('47', '16', '4', '临床用血相关记录符合率', '2492', '无输血/血制品病程记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('48', '16', '4', '临床用血相关记录符合率', '2482', '无输血或使用血液制品后效果评价', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('49', '16', '4', '临床用血相关记录符合率', '2490', '无输血或使用血液制品知情同意书', 'N未开发');
INSERT INTO `qc_cases_relevance_entry` VALUES ('50', '17', '4', '医师查房记录完成率', '2215', '整份病历无主治医师查房记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('51', '17', '4', '医师查房记录完成率', '2639', '患者出院前无上级医师(主治及以上)同意出院的病程记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('52', '17', '4', '医师查房记录完成率', '2214', '主刀医师在术后48小时内无查房记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('53', '17', '4', '医师查房记录完成率', '2378', '危重患者无上级医师(副高及以上)查房记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('54', '17', '4', '医师查房记录完成率', '2377', '疑难患者无上级医师(副高及以上)查房记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('55', '17', '4', '医师查房记录完成率', '2376', '抢救患者无上级医师(副高及以上)查房记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('56', '17', '4', '医师查房记录完成率', '2900', '术后24小时内无主刀或一助查房记录', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('57', '17', '4', '医师查房记录完成率', '2229', '术后查房没有连续记录3天', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('58', '17', '4', '医师查房记录完成率', '2468', '缺少术后首次病程记', 'N');
INSERT INTO `qc_cases_relevance_entry` VALUES ('59', '18', '4', '患者抢救记录及时完成率', '2852', '抢救记录未在抢救结束后6小时内完成', 'N');


/**
编码添加
 */

INSERT INTO `qc`.`qc_cases_entry` (`id`, `cases_id`, `cases_name`, `mode_id`, `code`, `name`, `drgs`, `type`, `rule_type`, `dev_type`, `accuracy_type`, `precond`, `order_no`, `remark`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`) VALUES ('3117', '241', '三级查房制度', '4', 'THR03117', '病理检查存在病程记录中无病理报告结果', '2', '1', '0', '0', '3', '', NULL, '', 'N', '2021-04-16 11:04:42', '2021-04-16 11:04:42', '0', '医学人员');
INSERT INTO `qc`.`qc_cases_entry` (`id`, `cases_id`, `cases_name`, `mode_id`, `code`, `name`, `drgs`, `type`, `rule_type`, `dev_type`, `accuracy_type`, `precond`, `order_no`, `remark`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`) VALUES ('3116', '283', '病历书写规范', '8', 'MEDI03116', '病理检查缺少病理检查报告单', '2', '1', '0', '0', '3', '', NULL, '', 'N', '2021-04-16 11:07:28', '2021-04-16 11:07:28', '0', '医学人员');
INSERT INTO `qc`.`qc_cases_entry` (`id`, `cases_id`, `cases_name`, `mode_id`, `code`, `name`, `drgs`, `type`, `rule_type`, `dev_type`, `accuracy_type`, `precond`, `order_no`, `remark`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`) VALUES ('3115', '241', '三级查房制度', '4', 'THR03115', '医嘱存在CT,病历记录未记录', '2', '1', '0', '0', '3', '', NULL, '', 'N', '2021-04-16 11:17:24', '2021-04-16 11:17:24', '0', '医学人员');
INSERT INTO `qc`.`qc_cases_entry` (`id`, `cases_id`, `cases_name`, `mode_id`, `code`, `name`, `drgs`, `type`, `rule_type`, `dev_type`, `accuracy_type`, `precond`, `order_no`, `remark`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`) VALUES ('3114', '283', '病历书写规范', '8', 'MEDI03114', '医嘱存在CT,报告单未记录', '2', '1', '0', '0', '3', '', NULL, '', 'N', '2021-04-16 11:16:51', '2021-04-16 11:16:51', '0', '医学人员');
INSERT INTO `qc`.`qc_cases_entry` (`id`, `cases_id`, `cases_name`, `mode_id`, `code`, `name`, `drgs`, `type`, `rule_type`, `dev_type`, `accuracy_type`, `precond`, `order_no`, `remark`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`) VALUES ('3113', '241', '三级查房制度', '4', 'THR0', '医嘱存在MR,病历记录未记录', '2', '1', '0', '0', '3', '', NULL, '', 'N', '2021-04-16 11:17:46', '2021-04-16 11:17:46', '0', '医学人员');
INSERT INTO `qc`.`qc_cases_entry` (`id`, `cases_id`, `cases_name`, `mode_id`, `code`, `name`, `drgs`, `type`, `rule_type`, `dev_type`, `accuracy_type`, `precond`, `order_no`, `remark`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`) VALUES ('3112', '283', '病历书写规范', '8', 'MEDI03112', '医嘱存在MR,报告单未记录', '2', '1', '0', '0', '3', '', NULL, '', 'N', '2021-04-16 10:58:38', '2021-04-16 10:58:38', '0', '医学人员');
INSERT INTO `qc`.`qc_cases_entry` (`id`, `cases_id`, `cases_name`, `mode_id`, `code`, `name`, `drgs`, `type`, `rule_type`, `dev_type`, `accuracy_type`, `precond`, `order_no`, `remark`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`) VALUES ('3111', '248', '围手术期病历讨论', '17', 'OPE03111', '手术病理检查存在手术记录中无病理相关记录', '1', '1', '0', '0', '3', '', NULL, '', 'N', '2021-04-16 11:03:55', '2021-04-16 11:03:55', '0', '医学人员');
INSERT INTO `qc`.`qc_cases_entry` (`id`, `cases_id`, `cases_name`, `mode_id`, `code`, `name`, `drgs`, `type`, `rule_type`, `dev_type`, `accuracy_type`, `precond`, `order_no`, `remark`, `is_deleted`, `gmt_create`, `gmt_modified`, `creator`, `modifier`) VALUES ('3110', '243', '病案首页', '6', 'FIRP03110', '病案首页未在患者出院院24小时内完成', '1', '1', '0', '0', '1', '', NULL, '', 'N', '2021-04-07 17:13:57', '2021-04-07 17:13:57', '0', '医学人员');
