package com.diagbot.enums;

import java.util.Arrays;
import java.util.List;

/**
 * 新指标常用常量
 */
public class QualityContent {
    public static final String recordNumber = "关联首页表质控病历人数";
    public static final String NoRecordNumberId = "无病案首页病历ID";
    public static final String DISCHARGED_PATIENTS = "出院人数";
    public static final String NUMBER_OF_HOSPITAL = "入院人数";
    /**
     * 触发规则指标
     */
    public static final String RYJLWWC_24H = "residentAdmitNote";
    public static final String SSJLWCC_24H = "operationNote";
    public static final String CYJLWWC_24H = "dischargeRecord";
    public static final String BASYWWC_24H = "medicalRecord";
    /**
     * 医嘱类型
     */
    public static final String STANDING_ORDER = "长期医嘱";
    public static final String STAT_ORDER = "临时医嘱";
    /**
     * 医嘱状态
     */
    public static final String EXECUTE_ORDER = "执行";
    public static final String CANCELLATION_ORDER = "作废";
    /**
     * 医嘱判断相关
     */
    public static final String STOP = "停";
    public static final String LAST = "前一次";
    public static final String COUNTERMAND = "取消";
    public static final String PAUSE = "暂停";
    public static final String PATHOLOGY = "病理";

    /**
     * 医嘱手术患者相关
     */
    public static final String OPERATION = "手术";
    public static final String NO_OPERATION = "非手术";
    public static final String OPERATION_ROOM = "手术室";
    public static final String VENIPUNCTURE_CATHETERIZATION  = "静脉穿刺置管术";
    public static final String OPERATION_SPECIAL_PATIENTS = "特殊病人手术使用一次性卫生材料";
    public static final String IMMUNODEFICIENCY_VIRUS_ANTIBODY = "人免疫缺陷病毒抗体检测免费";
    /**
     * 医嘱CT相关
     */
    public static final String CT = "CT";
    public static final String X_RAY = "X线";
    public static final String ATCH = "ATCH";
    public static final String TCT = "TCT";
    public static final String HCT = "HCT";
    public static final String OCT = "OCT";
    public static final String NCT = "NCT";
    public static final String LCT = "LCT";
    public static final String ACT = "ACT";
    public static List<String> CT_REGULATION = Arrays.asList("TCT","HCT","OCT","NCT","LCT","ACT");
    /**
     * 医嘱MR相关
     */
    public static final String MR = "MR";
    public static final String MRGNETIC_RESONANCE = "磁共振";
    public static final String IMRT = "IMRT";
    public static final String MRS = "mrs评分";
    /**
     * 抗菌药物目录
     */
    public static List<String> Antimicrobial_Drug_List = Arrays.asList(
            "呋喃妥因", "呋喃唑酮", "盐酸小檗碱", "大蒜素", "鱼腥草素钠", "磺胺嘧啶", "甲氧苄啶", "复方磺胺甲恶唑",
            "磺胺嘧啶银", "磺胺嘧啶锌", "盐酸四环素", "盐酸土霉素", "盐酸多西环素", "盐酸米诺环素", "盐酸美他环素", "硫酸庆大霉素", "硫酸链霉素"
    );
    /**
     * 化疗药物目录
     */
    public static List<String> Chemotherapy_Drug_List = Arrays.asList(
            "注射用盐酸表柔比星", "注射用盐酸吡柔比星", "注射用环磷酰胺", "卡铂注射液", "注射用奥沙利铂", "注射用阿糖胞苷", "注射用盐酸吉西他滨", "注射用甲氨蝶呤",
            "注射用盐酸伊立替康", "紫杉醇注射液", "注射用培美曲塞二钠", "高三尖杉酯碱注射液", "注射用硫酸长春地辛", "多西他赛注射液", "注射用曲普瑞林", "注射用盐酸博来霉素", "注射用地西他滨",
            "盐酸伊立替康注射液", "注射用盐酸托泊替康", "注射用氟尿嘧啶", "注射用达卡巴嗪", "醋酸戈舍瑞林缓释植入剂", "顺铂注射液"
    );

    /**
     * 抢救药物  维护修改
     */

    public static List<String> Rescue_Drug_List = Arrays.asList(
            "尼可刹米","可拉明","盐酸洛贝林","山梗菜碱","肾上腺素","阿拉明", "重酒石酸间羟胺", "多巴胺", "利血平", "25%硫酸镁注射液", "垂体后叶素","注射用血凝酶", "阿托品","氯解磷定注射液","盐酸纳洛酮","异丙嗪", "非那更","地西泮", "安定","20%甘露醇");
    public static List<String> getRescue_Drug_List() {
        return Rescue_Drug_List;
    }

    /**
     *   临床用血
     */
    public static List<String> blood_List = Arrays.asList(
            "交叉配血");

    public static List<String> getBlood_List() {
        return blood_List;
    }
}



